function fv=phialpha_up(s,x,Vw,theta,sole_Vbs,sole_sp,dmx,InvData)

    % extract parameters from imported data
    rho=x(1); lambda=x(2); eta0=x(3); alpha=x(4); sigma=x(5); eta1=x(6);
    sBar = dmx(3);
    
    eta_s=eta(s,x,theta,sole_sp,dmx);       
    Vbs_s=deval(sole_Vbs,s);
    
    % take care of possible differential impact of Hartz 3
        if s > sBar
            psi_s = InvData(19);
        else
            psi_s = InvData(18);
        end
    
    fv=((alpha*eta_s*psi_s*(theta^alpha)).*(Vw-Vbs_s)).^(alpha/(1-alpha));
    
end