function p_s=ps_path(s,InvData,VarData,sole_sp)

    % extract parameters from imported data
        rho=InvData(3); lambda=VarData(6); eta0=VarData(4); alpha=InvData(1); sigma=InvData(2); eta1=VarData(5);
        x=[rho;lambda;eta0;alpha;sigma;eta1];   sBar=VarData(9);  bUA=InvData(6)*VarData(1);  theta = VarData(7);
    
    % belief p(s)
        Integral=s*NaN;
        for i=1:cols(s);
            if s(i) > sBar;
                I_0_sbar=quad('phialpha_sp',0,sBar,[],[],x,sole_sp,bUA);
                I_sbar_s=quad('phialpha_sp',sBar,s(i),[],[],x,sole_sp,bUA);       Integral(i)=I_0_sbar+I_sbar_s;
            else
                if s(i)==0; Integral(i)=0; else Integral(i)=quad('phialpha_sp',0,s(i),[],[],x,sole_sp,bUA); end;
            end;
        end;
    % path for p(s)
        p_s=1./(1+exp((eta1-eta0)*(theta^alpha)*Integral));
        
end