function [phialpha_new,sole_sp_new,V_bUI_0,VbUI,VbUA,Vw]=det_V_bUA(s_nods,w,theta,x,dmx,sole_sp,ins_Vb1s,ins_Vb2s,ins_Vw,infinity,opt_ode,opt_fzero,InvData)

% paras
    sbar=dmx(3); step=0.5;
    
% find lower and upper bounds
    [lb,ub]=stvsearch(w,theta,x,dmx,sole_sp,ins_Vb1s,ins_Vb2s,ins_Vw,infinity,InvData);

% find the root
    [V_bUA,~,exit]=fzero('det_V_bUA_back',[lb,ub],opt_fzero,w,theta,x,dmx,sole_sp,ins_Vb1s,ins_Vb2s,ins_Vw,infinity,opt_ode,InvData);
    
% once found, compute the rest using V_bUA    
    if exit > 0;
        [V_bUI_0,Vw]=implied(V_bUA,w,theta,x,dmx,InvData); % disp([Vw,V_bUI_0,V_bUA]);
        
        if isnan(sbar)==0;
            z=s_nods<=sbar; s_nods_UA=delif(s_nods',z')'; s_nods_UI=selif(s_nods',z')'; 
            s_line_UI=(0:step:sbar); s_line_UA=(sbar:step:infinity);
            
            VbUA=ode45(@Vp,[infinity,sbar],V_bUA,opt_ode,x,Vw,w,theta,dmx,2,sole_sp,ins_Vb1s,ins_Vb2s,ins_Vw,InvData);
            phialpha_new_UA=[s_line_UA;phialpha_up(s_line_UA,x,Vw,theta,VbUA,sole_sp,dmx,InvData)];
            
            V_sbar=deval(VbUA,sbar);
            
            VbUI=ode45(@Vp,[sbar,0],V_sbar,opt_ode,x,Vw,w,theta,dmx,1,sole_sp,ins_Vb1s,ins_Vb2s,ins_Vw,InvData);
            phialpha_new_UI=[s_line_UI;phialpha_up(s_line_UI,x,Vw,theta,VbUI,sole_sp,dmx,InvData)];
            
            sole_sp_new=spline([phialpha_new_UI(1,1:cols(phialpha_new_UI)-1),phialpha_new_UA(1,:)],...
                               [phialpha_new_UI(2,1:cols(phialpha_new_UI)-1),phialpha_new_UA(2,:)]);
            
            phialpha_new_UA=[s_nods_UA;ppval(sole_sp_new,s_nods_UA)]; % disp(phialpha_new_UA');
            phialpha_new_UI=[s_nods_UI;ppval(sole_sp_new,s_nods_UI)]; % disp(phialpha_new_UI');
            
            phialpha_new=[phialpha_new_UI';phialpha_new_UA'];
            
        else
            s_line_UA=(0:step:infinity);
            
            VbUA=ode45(@Vp,[infinity,0],V_bUA,opt_ode,x,Vw,w,theta,dmx,2,sole_sp,ins_Vb1s,ins_Vb2s,ins_Vw,InvData);
            phialpha_new_UA=[s_line_UA;phialpha_up(s_line_UA,x,Vw,theta,VbUA,sole_sp,dmx,InvData)];
            
            sole_sp_new=spline(phialpha_new_UA(1,:),phialpha_new_UA(2,:));
            
            phialpha_new=[s_nods;ppval(sole_sp_new,s_nods)]'; % disp(phi_new_UA');
            
            VbUI=[];
            
        end;
        
    else
        error('problem in det_V_bUAx.m - no solution found');
    end;
  
end