function [V_bUI_0, Vw] = implied(V_bUA_ini,w,theta,x,dmx,InvData)

% paras
	rho=x(1); lambda=x(2); eta0=x(3); alpha=x(4); sigma=x(5);
	bUA=dmx(2);
    
    psi_UA = InvData(19);
        
% function

	numer = rho * V_bUA_ini - u(bUA,sigma,NaN,NaN,NaN);
	deno = (1-alpha)/alpha * (alpha * eta0 * psi_UA* theta^alpha)^(1/(1-alpha));    
	Fraction = numer/deno;
	Parenthesis = Fraction^(1-alpha) + V_bUA_ini;
        
	V_bUI_0 = ((rho+lambda)*Parenthesis - u(w,sigma,NaN,NaN,NaN))/lambda;
        
	Vw=(u(w,sigma,NaN,NaN,NaN)+lambda*V_bUI_0)/(lambda+rho);
        
end